%{!?python2_sitelib: %global python2_sitelib %{python_sitelib}}

%global srcname django-pipeline

Name: python-%{srcname}
Version: 1.6.14
Release: 2%{?dist}
Summary: An asset packaging library for Django

Group: Applications/Internet
License: MIT
URL: https://github.com/cyberdelia/django-pipeline
Source0: https://files.pythonhosted.org/packages/source/d/django-pipeline/django-pipeline-%{version}.tar.gz
BuildArch: noarch
buildRequires: python2-devel
BuildRequires:  python2-setuptools


Patch0001: 0001-Fix-package-requires-for-older-setuptools.patch

%description
Pipeline is an asset packaging library for Django, providing both CSS
and JavaScript concatenation and compression, built-in JavaScript template
support, and optional data-URI image and font embedding


%package -n python2-%{srcname}
Summary: %{summary}

Provides: python2-%{srcname}(abi) = 1.6
%{?python_provide:%python_provide python2-%{srcname}}
Requires:       python2-futures >= 2.1.3


%description -n python2-%{srcname}
%{description}


%prep
%autosetup -n django-pipeline-%{version}

rm -Rf django_pipeline*.egg-info


%build
%{__python2} setup.py build


%install
%{__python2} setup.py install --root $RPM_BUILD_ROOT

# Remove the "tests" subdirectory to avoid it polluting the main python
# namespace:
rm -rf $RPM_BUILD_ROOT%{python2_sitelib}/tests


%files -n python2-%{srcname}
%doc LICENSE
%{python2_sitelib}/django_pipeline*.egg-info/
%{python2_sitelib}/pipeline/



%changelog
* Wed Jul 18 2018 Stephen Gallagher <sgallagh@redhat.com> - 1.6.14-2
- Fix packaging issue with older setuptools (such as on RHEL 7)

* Mon Apr 02 2018 Stephen Gallagher <sgallagh@redhat.com> - 1.6.14-1
- Package django_pipeline 1.6

* Thu Jan 18 2018 Stephen Gallagher <sgallagh@redhat.com> - 1.3.27-11
- Update sitelib macro for Fedora 28

* Thu Jan 18 2018 Stephen Gallagher <sgallagh@redhat.com> - 1.3.27-10
- Rebuild for modules.

* Mon Jan 15 2018 Stephen Gallagher <sgallagh@redhat.com> - 1.3.27-3
- Prepare for modules

* Wed Oct 18 2017 Stephen Gallagher <sgallagh@redhat.com> - 1.3.27-1
- Upgrade to latest 1.3.x upstream release 1.3.27

* Fri May 09 2014 Stephen Gallagher <sgallagh@redhat.com> 1.3.24-1
- Upgrade to latest upstream release 1.3.24
- Changelog: https://pypi.python.org/pypi/django-pipeline/

* Thu Apr 03 2014 Stephen Gallagher <sgallagh@redhat.com> 1.3.23-1
- Upgrade to latest upstream release 1.3.23
- Changelog: https://pypi.python.org/pypi/django-pipeline/

* Wed Jan 22 2014 Stephen Gallagher <sgallagh@redhat.com> - 1.3.20-2
- Upgrade to latest upstream release 1.3.20
- Changelog: https://pypi.python.org/pypi/django-pipeline/

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.24-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Apr 11 2013 Stephen Gallagher <sgallagh@redhat.com> - 1.2.24-2
- Bumping release for rebuild

* Mon Jan 28 2013 Stephen Gallagher <sgallagh@redhat.com> - 1.2.24-1
- Upgrade to latest upstream release 1.2.24
- Fix yui/yuglify settings overriding each other
- Separate yuglify compressor from YUI compressor
- Improve HTML compression middleware
- Better compressor error messages
- Improve installation documentation
- Fix packaging metadata
- Add documentation about non-packing storage

* Thu Dec 13 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.2.21-1
- Upgrade to latest upstream release 1.2.21

* Wed Oct 03 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.2.17-1
- Upgrade to latest upstream release
- Support for more compressors:
-   SlimIt
-   Closure
-   CSSTidy
-   cssmin

* Mon Aug 06 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-3
- Initial release
- Add django_pipeline to Fedora to support Review Board 1.7
